local t = Def.ActorFrame {};
local margin = 94
local sleeptime = 0.05

t[#t+1] = LoadActor( THEME:GetPathG("_bg","transition")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
			OnCommand=cmd(diffusealpha,0;sleep,0.3;decelerate,0.7;diffusealpha,1;);
		};		
		
-- Hexagons		
t[#t+1] = Def.ActorFrame {

		-- Top
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y-margin+12;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;decelerate,0.2;diffusealpha,1;zoom,1);	
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y-margin+12;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime*5;decelerate,0.2;diffusealpha,1;zoom,1);	
		};
		
		-- center left
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime;decelerate,0.2;diffusealpha,1;zoom,1);					
		};
		
			-- center
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime*6;decelerate,0.2;diffusealpha,1;zoom,1);	
		};
		
		-- center right
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime*4;decelerate,0.2;diffusealpha,1;zoom,1);	
		};

		-- Bottom
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y+margin-12;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime*2;decelerate,0.2;diffusealpha,1;zoom,1);					
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y+margin-12;);
			OnCommand=cmd(zoom,0.25;diffusealpha,0;sleep,sleeptime*3;decelerate,0.2;diffusealpha,1;zoom,1);					
		};
		
		};

-- Top door 
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-100);
			OnCommand=cmd(sleep,0.3;decelerate,0.4;y,SCREEN_TOP+75;zoom,1;);
		};
		
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM+100;zoomy,-1);
			OnCommand=cmd(sleep,0.3;decelerate,0.4;y,SCREEN_BOTTOM-75;);
		};
		
-- Left door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(horizalign,left;x,SCREEN_LEFT-290;y,SCREEN_CENTER_Y);
			OnCommand=cmd(sleep,0.3;decelerate,0.4;x,SCREEN_LEFT-11;);
		};
-- Right door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(zoomx,-1;horizalign,left;x,SCREEN_RIGHT+290;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(sleep,0.3;decelerate,0.4;x,SCREEN_RIGHT+11;);
		};	
	
-- Bracket top
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-268;y,SCREEN_TOP+101);
			OnCommand=cmd(addx,-330;addy,-148;sleep,0.6;decelerate,0.4;addx,330;addy,148;);			
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;x,SCREEN_CENTER_X+268;y,SCREEN_TOP+101);
			OnCommand=cmd(addx,330;addy,-148;sleep,0.6;decelerate,0.4;addx,-330;addy,148;);
		};
-- Bracket bottom
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomy,-1;x,SCREEN_CENTER_X-268;y,SCREEN_BOTTOM-101);
			OnCommand=cmd(addx,-330;addy,148;sleep,0.6;decelerate,0.4;addx,330;addy,-148;);
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;zoomy,-1;x,SCREEN_CENTER_X+268;y,SCREEN_BOTTOM-101);
			OnCommand=cmd(addx,330;addy,148;sleep,0.6;decelerate,0.4;addx,-330;addy,-148;);
		};		
		
-- Shade
t[#t+1] = LoadActor( THEME:GetPathG("_bg","shadow")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
			OnCommand=cmd(diffusealpha,0;sleep,0.3;decelerate,0.7;diffusealpha,1;);
		};

t[#t+1] = LoadActor( THEME:GetPathS("_door","slam")) .. {
        OnCommand=cmd(sleep,0.1;queuecommand,("Play"));
		PlayCommand=cmd(play;sleep,2);	
		};		
return t